Subject: [PATCH] mmc: pwrseq_simple: Make reset-gpios optional to match doc

From: [email-masked] (Tony Lindgren)
Date: Tue, 19 Jan 2016 18:34:34 -0800

Hi,

* Javier Martinez Canillas <[email-masked]> [160108 08:42]:
> On Fri, Jan 8, 2016 at 6:07 AM, Martin Fuzzey <[email-masked]> wrote:
> > The DT binding doc says reset-gpios is an optional property but the code
> > currently bails out if it is omitted.
> >
> > Make the code match the documentation.
...
> Tony already posted a fix for this before [0] but got some feedback so
> is likely to post a v2 soon.

Hmm I think my patch would end up looking pretty much like Martin's
patch after fixing the comments. Based on what I understood, Ulf
wants to keep pwrseq_simple, well, simple as discussed in [0].

It also seems Ulf also wants to leave out the allocation, and does
want to add any deeper knowledge of the state of the GPIOs in
pwrse-simple. Instead, we can do device specific pwrseq for things
like Marvell 8787 and so on.

Ulf may have more comments, but $subject patch fixes the issue
I'm seeing with wl12xx on omap5 devices:

Tested-by: Tony Lindgren <[email-masked]>

Probably should be tagged Cc: stable # v4.4 when applied.

Regards,

Tony

> [0]: http://www.spinics.net/lists/linux-mmc/msg34398.html